<h3 style="text-align: center; margin-top: 0px;">Les Outils</h3>
<br/>
<mat-card>
    
    <mat-accordion>
    <mat-expansion-panel [expanded]="true" (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
            <img src="assets/images/Gitlab.png" style="width:30px; height:30px;"> 
             GitLab
        </mat-panel-title>
       
      </mat-expansion-panel-header>
      <p>GitLab est une plateforme de développement collaborative open source éditée par la société américaine du même nom. Elle couvre l’ensemble des étapes du DevOps. Se basant sur les fonctionnalités du logiciel Git, elle permet de piloter des dépôts de code source et de gérer leurs différentes versions. Son usage est particulièrement indiqué pour les développeurs qui souhaitent disposer d’un outil réactif et accessible.</p>
      <p>Site Officiel :</p><a [href]="tools['git']['url']">{{tools['git']['url']}}</a>
    </mat-expansion-panel>
  </mat-accordion>

  </mat-card>
  <mat-card>

    <mat-accordion>
    <mat-expansion-panel [expanded]="true" (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
            <img src="assets/images/Jenkins.png" style="width:30px; height:30px;"> 
            Jenkins
        </mat-panel-title>
       
      </mat-expansion-panel-header>
      <p>Dédié aux DevOps, Jenkins est un outil d’intégration continue open source (sous licence MIT) développé en Java. A chaque modification de code d'une application dans le gestionnaire de configuration, Jenkins se charge automatiquement de la recompiler, et de la tester. Pour cette seconde étape, Jenkins intègre le framework de test open source JUnit. En cas d'erreur détectée, Jenkins alerte le développeur afin qu'il résolve le problème. Un process évidemment des plus avantageux dans le cadre d'un projet de développement.</p>
      <p>Site Officiel :</p><a [href]="tools['Jenkins']['url']">{{tools['Jenkins']['url']}}</a>
    </mat-expansion-panel>
  </mat-accordion>

  </mat-card>
  <mat-card>

    <mat-accordion>
    <mat-expansion-panel [expanded]="true" (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
            <img src="assets/images/Jira.png" style="width:30px; height:30px;"> 
             Jira
        </mat-panel-title>
       
      </mat-expansion-panel-header>
      <p>Jira est un système de suivi de bugs, de gestion des incidents et de gestion de projets développé par Atlassian et publié pour la première fois en 2002. Il propose des solutions à la fois à destination des développeurs et des intervenants non développeurs.</p>
      <p>Site Officiel :</p><a [href]="tools['Jira']['url']">{{tools['Jira']['url']}}</a>
    </mat-expansion-panel>
  </mat-accordion>

  </mat-card>
  <mat-card>

    <mat-accordion>
    <mat-expansion-panel [expanded]="true" (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
            <img src="assets/images/Harbor.png" style="width:30px; height:30px;"> 
             Harbor
        </mat-panel-title>
       
      </mat-expansion-panel-header>
      <p>Harbor est un langage de programmation informatique, principalement utilisé pour créer des programmes de base de données/d'entreprise. Il s'agit d'une version modernisée, open source et multiplateforme de l'ancien système Clipper, qui à son tour s'est développé à partir du marché des bases de données dBase des années 1980 et 1990.</p>
      <p>Site Officiel :</p><a [href]="tools['Harbor']['url']">{{tools['Harbor']['url']}}</a>
    </mat-expansion-panel>
  </mat-accordion>

  </mat-card>
  <mat-card>

    <mat-accordion>
    <mat-expansion-panel [expanded]="true" (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
            <img src="assets/images/Sonar.png" style="width:30px; height:30px;"> 
             Sonar
        </mat-panel-title>
       
      </mat-expansion-panel-header>
      <p>SonarQube est un logiciel libre de qualimétrie en continu de code. Il aide à la détection, la classification et la résolution de défaut dans le code source, permet d'identifier les duplications de code, de mesurer le niveau de documentation et connaître la couverture de test déployée.

        SonarQube permet une surveillance continue de la qualité du code grâce à son interface web permettant de voir les défauts de l'ensemble du code et ceux ajoutés par la nouvelle version. Le logiciel peut être interfacé avec un système d'automatisation comme Jenkins pour inclure l'analyse comme une extension du développement.</p>
      <p>Site Officiel :</p><a [href]="tools['Sonar']['url']">{{tools['Sonar']['url']}}</a>
    </mat-expansion-panel>
  </mat-accordion>

  </mat-card>
  <mat-card>

    <mat-accordion>
    <mat-expansion-panel [expanded]="true" (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
            <img src="assets/images/Nexus.png" style="width:30px; height:30px;"> 
             Nexus
        </mat-panel-title>
       
      </mat-expansion-panel-header>
      <p>Site Officiel :</p><a [href]="tools['Nexus']['url']">{{tools['Nexus']['url']}}</a>
    </mat-expansion-panel>
  </mat-accordion>

</mat-card>